/*
 *  Copyright (c) 2021, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.identity.user.ekyc.dto;

import java.util.List;

/**
 * DTO for requesting a new EKYC session.
 */
public class EKYCSesssionRequestDTO {
    private String service;
    private String callbackUrl;
    private List<String> claims;

    public EKYCSesssionRequestDTO(String service, List<String> claims, String callbackUrl) {
        this.service = service;
        this.claims = claims;
        this.callbackUrl = callbackUrl;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public List<String> getClaims() {
        return claims;
    }

    public void setClaims(List<String> claims) {
        this.claims = claims;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("EKYCSesssionRequestDTO{");
        sb.append("service='").append(service).append('\'');
        sb.append(", callbackUrl='").append(callbackUrl).append('\'');
        sb.append(", claims=").append(claims);
        sb.append('}');
        return sb.toString();
    }
}

